.\"
.\"  xapplaunch.man
.\"
.\"   xapplaunch - Craig's Menu Bar
.\"
.\"   E-mail: cknudsen@btg.com
.\"
.\"   This program is free software; you can redistribute it and/or modify
.\"   it under the terms of the GNU General Public License as published by
.\"   the Free Software Foundation; either version 2 of the License, or
.\"   (at your option) any later version.
.\"
.\"   This program is distributed in the hope that it will be useful,
.\"   but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"   GNU General Public License for more details.
.\"
.\"   You should have received a copy of the GNU General Public License
.\"   along with this program; if not, write to the Free Software
.\"   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
.\"
.TH XAPPLAUNCH 1 "10 Jan 1995" "v1.1"

.SH "NAME"
xapplaunch \- Application Launcher for X11

.SH "SYNOPSIS"
.B xapplaunch
.nh
[\fItoolkitoption ...] [-f \fIfile\fP] [-v]

.SH "DESCRIPTION"
.I xapplaunch
is a program that provides a customizable menu.  The menu buttons
may be either text, X Bitmaps, or X Pixmaps.  The pixmaps must be
standard XPM format.  To create new pixmaps, xpaint (ftp.x.org) is
an excellent program.
The menu will, by default, read the file $HOME/.xapplaunchrc for a description
of the menu.  You may overide this with the -f option.

.SH "OPTIONS"
All standard \fIXt Intrinsics\fR toolkit options are supported.
In addition,
.I xapplaunch
supports the following options:
.TP
.I \-f\ file
.br
Specify the menu data file to read rather than reading $HOME/.xapplaunchrc.
.SH "MENU FILE FORMAT"
The menu data file format, typically $HOME/.xapplaunchrc, may use
.I cpp(1)
and the supports the following entries:
.PP
<T> Text label....
.br
<B> X11 Bitmap filename
.br
<P> Xpm Pixmap filename
.br
<E> Program to execute.
.PP
The order that the lines appear is relevant.  <T> should appear first.
If a bitmap or pixmap is used, the <B> or <P> line should be next and
the <E> line should be the last for an item.
The <E> line supports a few predefined functions as follows:
.PP
.br
f.quit - Ask the user if they want to exit
.I xapplaunch
with a confirmation window.
.br
f.restart - Ask the user if they want to restart
.I xapplaunch
with a confirmation window.
.br
f.quit_now - Quit
.I xapplaunch
immediately.
.br
f.info - Display text information to the user.
.SH "X RESOURCES"
.I Xapplaunch
uses standard X resources to let you customize the look and feel.
.SH "FILES"
$HOME/.xapplaunchrc
.SH "SEE ALSO"
X(1).
.SH "FTP"
The primary anonymous ftp location for
.I xapplaunch
is ftp.btg.com.
.SH "AUTHOR"
Craig Knudsen (cknudsen@btg.com http://www.btg.com/~cknudsen/)
.br
BTG, Inc., Vienna, VA, USA
.PP
Comments, suggestions, and bug reports are always welcome.
